## GdkPixbuf extras GdkPixbuf extras |

## Functions

GdkPixbuf * | go_gdk_pixbuf_get_from_cache ()
GdkPixbuf * | go_gdk_pixbuf_intelligent_scale ()
GdkPixbuf * | go_gdk_pixbuf_load_from_file ()
GdkPixbuf * | go_gdk_pixbuf_new_from_file ()
GdkPixbuf * | go_gdk_pixbuf_tile ()

## Description

## Functions

### go_gdk_pixbuf_get_from_cache ()

    GdkPixbuf *
    go_gdk_pixbuf_get_from_cache (char const *filename);

Retrieves a pixbuf from the image cache, loading it from the file `filename` located in goffice_icon_dir if not cached yet.

#### Parameters

filename | pixbuf filename |

#### Returns

a GdkPixbuf, `NULL` on error.

[transfer none][nullable]

### go_gdk_pixbuf_intelligent_scale ()

    GdkPixbuf *
    go_gdk_pixbuf_intelligent_scale (GdkPixbuf *buf,
                                     guint width,
                                     guint height);

`go_gdk_pixbuf_intelligent_scale` has been deprecated since version 0.9.6 and should not be used in newly-written code.

use `go_image_get_scaled_pixbuf()` instead

Intelligent pixbuf scaling.

#### Parameters

buf | a GdkPixbuf |
width | new width |
height | new height |

#### Returns

a new GdkPixbuf reference.

### go_gdk_pixbuf_load_from_file ()

    GdkPixbuf *
    go_gdk_pixbuf_load_from_file (char const *filename);

Utility routine to create pixbufs from file `name` in the goffice_icon_dir. As a special case, `filename` may have the form "res:resource name" in which case the resource manager is queried instead of loading a file.

#### Parameters

filename | pixbuf filename |

#### Returns

a GdkPixbuf that the caller is responsible for.

[transfer full]

Since: 0.9.6

### go_gdk_pixbuf_new_from_file ()

    GdkPixbuf *
    go_gdk_pixbuf_new_from_file (char const *filename);

`go_gdk_pixbuf_new_from_file` has been deprecated since version 0.9.6 and should not be used in newly-written code.

use `go_gdk_pixbuf_load_from_file()` instead

Utility routine to create pixbufs from file `name` in the goffice_icon_dir. As a special case, `filename` may have the form "res:resource name" in which case the resource manager is queried instead of loading a file.

#### Parameters

filename | pixbuf filename |

#### Returns

a GdkPixbuf that the caller is responsible for.

[transfer full]

### go_gdk_pixbuf_tile ()

    GdkPixbuf *
    go_gdk_pixbuf_tile (GdkPixbuf const *src,
                        guint w,
                        guint h);

`go_gdk_pixbuf_tile` has been deprecated since version 0.9.6 and should not be used in newly-written code.

#### Parameters

src | source pixbuf |
w | desired width |
h | desired height |

#### Returns

a new pixbuf consisting of the source pixbuf tiled enough times to fill out the space needed.

The fractional tiles are spread evenly left-right and top-bottom.

[transfer full]